### Class method

# Gtk WidgetClassset_activate_signal

#### Declaration [src]

    void
    gtk_widget_class_set_activate_signal (
      GtkWidgetClass* widget_class,
      guint signal_id
    )

#### Description [src]

Sets the `GtkWidgetClass.activate_signal` field with the given `signal_id`.

The signal will be emitted when calling `gtk_widget_activate()`.

The `signal_id` must have been registered with `g_signal_new()` or `g_signal_newv()` before calling this function.

#### Parameters

`signal_id`

  Type: `guint`

  The id for the activate signal.